function parametros_MPAM

persistent postloadFlag;
if isempty(postloadFlag)
    postloadFlag = true;
else
    if postloadFlag
        postloadFlag = false;
        return
    end
end




settingsBlock = [bdroot '/Parâmetros'];
[rs] = getSettings(settingsBlock,'rs');
[up_sampling] = getSettings(settingsBlock,'up_sampling');
[roll_off] = getSettings(settingsBlock,'roll_off');
[span] = getSettings(settingsBlock,'span');
[variancia] = getSettings(settingsBlock,'variancia');
[M_ary] = getSettings(settingsBlock,'M_ary');


p.variancia = variancia;
p.rs = rs;
p.M_ary = M_ary;
p.span = span;
p.roll_off = roll_off;
p.rb = p.rs/log2(p.M_ary);
p.up_sampling = up_sampling;
p.fs = p.up_sampling * p.rs;


p.pulso_sinc = sinc([-p.span:0.1:p.span]);
p.pulso_retangular = ones(1,p.up_sampling);
p.pulso_cosseno_elevado = rcpuls(p.roll_off,[-p.span:0.1:p.span]);



%p.pulso_retangular = ones(1,100)/norm(ones(1,100));
%p.pulso_cosseno_elevado = rcpuls(p.roll_off,[-6:0.01:6])/norm(rcpuls(p.roll_off,[-6:0.01:6]))
%p.pulso_cosseno_elevado = rcpuls(p.roll_off,[-6:0.1:6])/norm(rcpuls(p.roll_off,[-6:0.1:6]));





 
%Assign variables to base workspace
 assignin('base','p',p);



 function varargout = getSettings(settingsBlock, varargin)

 varargout = cell(size(varargin));

 h = get_param(settingsBlock, 'handle');
 for n = 1:length(varargin)
     varargout{n} = evalin('base', get(h, varargin{n}));
 end